<div class="absolute inset-0 flex flex-col min-w-0 overflow-y-auto" cdkScrollable>
    <!-- <mat-drawer-container class="flex-auto overflow-visible">
        <mat-drawer-content class="flex flex-col"> -->
            <!-- Header -->
            <div class="flex flex-row flex-0 items-center justify-between p-6 sm:pt-2 pb-10 sm:px-10">
                <div class="flex-1 min-w-0">
                    <!-- Title -->
                    <div class="mt-1">
                        <h2 class="text-3xl font-extrabold tracking-tight leading-10 truncate">
                            ลงทะเบียนเยี่ยมบ้าน
                        </h2>
                    </div>
                </div>
                <!-- Actions -->
                <div class="flex shrink-0 items-center mt-6 sm:mt-0 sm:ml-4">
                    <button class="ml-3" mat-flat-button class="bg-red-300 text-white" (click)="back()">
                        <mat-icon class="icon-size-5 mr-2" [svgIcon]="'heroicons_solid:chevron-left'"></mat-icon>
                        Back
                    </button>
                </div>
            </div>
            <!-- Main -->
            <div class="flex-auto -mt-12 p-4 shadow overflow-y-auto bg-card" cdkScrollable>

                <div class="flex flex-col flex-auto min-w-0 rounded-lg">
                    <div class="flex flex-col p-4 shadow-md rounded-md">
                        <p class="font-bold text-xl">ข้อมูลพื้นฐาน</p>
                        <div class="flex flex-auto w-full flex-wrap text-lg pl-6 mt-2">
                            <div class="min-w-fit mr-4"><span class="font-semibold">ชื่อ - สกุล :</span>
                                {{patient.title}}{{patient.first_name}} {{patient.last_name}}</div>
                            <div class="min-w-fit mr-4"><span class="font-semibold">เลขบัตรประชาชน :</span>
                                {{patient.cid | thaicid}}</div>
                            <div class="min-w-fit mr-4"><span class="font-semibold">วันเกิด :</span> {{patient.dob |
                                thaidate:'short'}}</div>
                            <div class="min-w-fit mr-4"><span class="font-semibold">อายุ :</span> {{patient.age |
                                thaiage}}</div>
                            <div class="min-w-fit"><span class="font-semibold">เพศ :</span> {{patient.gender_name}}
                            </div>
                        </div>
                        <div class="flex flex-auto flex-wrap w-full mt-2 pl-6">
                            <span class="font-semibold">ที่อยู่: </span>
                            <mat-form-field class=" min-w-72 xs:w-full mx-2 fuse-mat-dense">
                                <input matInput [(ngModel)]="patient.patient_address_name" [placeholder]="'ที่อยู่'"
                                    value={{patient.patient_address_name}}>
                            </mat-form-field>
                            <span class="font-semibold">เบอร์ติดต่อ:</span>
                            <mat-form-field class="min-w-48 xs:w-1/2 mx-2 fuse-mat-dense">
                                <input matInput [(ngModel)]="patient.phone_number" [placeholder]="'เบอร์ติดต่อ'"
                                    value={{patient.phone_number}}>
                            </mat-form-field>
                            <span class="font-semibold">เพศสภาพปัจจุบัน :</span>
                            <mat-form-field class="min-w-32 xs:w-1/2 mx-2 fuse-mat-dense">
                                <input matInput [(ngModel)]="present_gender" [placeholder]="'เพศสภาพปัจจุบัน'"
                                    value={{patient.gender_name}}>
                            </mat-form-field>
                        </div>
                        <div class="flex flex-row flex-wrap w-full pl-6">
                            <div class="min-w-fit mr-8"><span class="font-semibold">สิทธิ์การรักษา :</span>
                                {{patient.patient_right}}</div>
                            <div class="min-w-64 -m-2">
                                <mat-radio-group class="flex flex-row" [color]="'primary'"
                                    [(ngModel)]="disablility_card" [value]="''">
                                    <span class="font-semibold mb-2 mt-2">บัตรผู้พิการ </span>
                                    <mat-radio-button class="mb-2" [value]="'มี'">มี</mat-radio-button>
                                    <mat-radio-button class="mb-2" [value]="'ไม่มี'">ไม่มี</mat-radio-button>
                                    <mat-radio-button [value]="'no-push'">ไม่เข้าเกณฑ์พิการ</mat-radio-button>
                                </mat-radio-group>
                            </div>
                        </div>
                        <div class="flex flex-row flex-wrap w-full pl-6 mt-2">
                            <span class="font-semibold mr-2">การวินิจฉัยโรค:</span>{{patient.diag_text }}
                            <!--                     <mat-form-field class="min-w-64 mr-2 fuse-mat-dense">
                        <input matInput [(ngModel)]="patient.diag_text" [placeholder]="'การวินิจฉัยโรค'" value={{patient.diag_text}}>
                    </mat-form-field> -->
                            <span class="font-semibold mx-2">สาเหตุการเยี่ยมบ้าน :</span>{{patient.evaluate_clause |
                            catagoryname }}
                        </div>

                        <mat-divider class="mt-4 mb-2"></mat-divider>
                        <!-- ข้อมูลการเยี่ยมบ้าน -->
                        <p class="font-bold text-xl mb-2">ข้อมูลการเยี่ยมบ้าน</p>
                        <div class="flex flex-auto flex-wrap pl-6">
                            <mat-form-field class="min-w-48 mr-2 fuse-mat-dense">
                                <mat-label><span class="font-semibold">วันที่เยี่ยม :</span> </mat-label>
                                <input matInput [matDatepicker]="picker1" [(ngModel)]="home_visit_date">
                                <mat-hint>MM/DD/YYY</mat-hint>
                                <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                                <mat-datepicker #picker1></mat-datepicker>
                            </mat-form-field>
                            <mat-form-field class="min-w-64 mr-2 fuse-mat-dense">
                                <mat-label><span class="font-semibold">ชื่อ-นามสกุล (ผู้ดูแลผู้ป่วยที่บ้าน) :</span> </mat-label>
                                <input matInput [placeholder]="'care_giver_name'" name="care_giver_name"
                                    [(ngModel)]="care_giver_name">
                            </mat-form-field>
                            <mat-form-field class="min-w-48 mr-2 fuse-mat-dense">
                                <mat-label><span class="font-semibold">เบอร์โทร :</span> </mat-label>
                                <input matInput [placeholder]="'เบอร์โทร'" name="care_giver_contact"
                                    [(ngModel)]="care_giver_contact">
                            </mat-form-field>
                            <button
                                class="fuse-mat-button-large mt-6 min-w-fit bg-purple-100 text-purple-600 rounded-md"
                                mat-raised-button>
                                <mat-icon>add</mat-icon>
                                <mat-icon>account_tree</mat-icon>Genogram
                            </button>
                        </div>
                        <div class="flex flex-col w-full pl-6">
                            <p class="text-lg font-semibold">Vital Sign</p>
                            <div class="flex flex-auto flex-wrap w-full">
                                <p class="w-fit mt-4 mr-2">BT
                                    <mat-form-field class="w-16  mr-2 fuse-mat-dense">
                                        <input matInput name="body_temp" [(ngModel)]="body_temp">
                                    </mat-form-field>ํC
                                </p>
                                <p class="w-fit mt-4 text-end mx-2">BP
                                    <mat-form-field class="w-16  mr-2 fuse-mat-dense">
                                        <input matInput name="sbp" [(ngModel)]="sbp">
                                    </mat-form-field>
                                    /
                                    <mat-form-field class="w-16  mr-2 fuse-mat-dense">
                                        <input matInput name="dbp" [(ngModel)]="dbp">
                                    </mat-form-field>
                                    mmHg
                                </p>
                                <p class="w-fit mt-4 text-end mx-2">PR
                                    <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                        <input matInput name="pulse_rate" [(ngModel)]="pulse_rate">
                                    </mat-form-field>
                                    /min
                                </p>
                                <p class="w-fit mt-4 text-end mx-2">RR
                                    <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                        <input matInput name="respiratory_rate" [(ngModel)]="respiratory_rate">
                                    </mat-form-field>
                                    /min
                                </p>
                                <p class="w-fit mt-4 text-end mx-2">BW
                                    <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                        <input matInput name="body_weight" [(ngModel)]="body_weight" >
                                    </mat-form-field>
                                    Kg
                                </p>
                                <p class="w-fit mt-4 text-end mx-2">Ht
                                    <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                        <input matInput name="body_height" [(ngModel)]="body_height" >
                                    </mat-form-field>
                                    cm
                                </p>
                                <p class="w-fit mt-4  text-end mx-2">BMI
                                    <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                        <input matInput name="dtx" [(ngModel)]="bmi" disabled="true">
                                    </mat-form-field>
                                </p>
                                <p class="w-fit mt-4 text-end mr-2">DTX
                                    <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                        <input matInput name="dtx" [(ngModel)]="dtx">
                                    </mat-form-field>
                                    %
                                </p>
                                <p class="w-fit mt-4 text-end">O<span class="text-sm mt-7">2</span>
                                    Sat Room Air
                                    <mat-form-field class="w-16  mr-1 fuse-mat-dense">
                                        <input matInput name="o2sat" [(ngModel)]="o2sat">
                                    </mat-form-field>
                                    %
                                </p>
                            </div>
                        </div>
                        <div class="flex flex-auto pl-6">
                            <span class="font-semibold mb-2 mt-2">อุปกรณ์ที่รักษาที่บ้าน : </span>
                            <section *ngFor="let i of item" class="example-section">
                                <mat-checkbox [(ngModel)]="i.ngModel" value={{i.name}} class="w-fit mr-2"
                                    (change)="home_visit(i.name,$event)">{{i.name}}</mat-checkbox>
                            </section>
                        </div>
                        <div class="flex flex-auto pl-6">
                            <span class="font-semibold mb-2 mt-2">Gait aid</span>
                            <mat-radio-group class="flex flex-row flex-wrap" name="gait_aid" [(ngModel)]="gait_aid"
                                [color]="'primary'" [value]="''">
                                <mat-radio-button [value]="'ไม่มี'">
                                    ไม่มี
                                </mat-radio-button>
                                <mat-radio-button [value]="'Cane'">
                                    Cane
                                </mat-radio-button>
                                <mat-radio-button [value]="'Crutch'">
                                    Crutch
                                </mat-radio-button>
                                <mat-radio-button [value]="'Walker'">
                                    Walker Frame
                                </mat-radio-button>
                                <mat-radio-button [value]="'Wheelchair'">
                                    Wheelchair
                                </mat-radio-button>
                            </mat-radio-group>
                        </div>
                        <mat-divider class="mt-4 mb-2"></mat-divider>

                        <!-- การตรวจประเมิน -->
                        <p class="text-xl font-bold mb-2">การตรวจประเมิน</p>
                        <div class="flex flex-auto pl-6 flex-wrap w-full mb-2">
                            <span class="font-semibold mb-2 mt-2">สถานะ</span>
                            <mat-radio-group class="flex flex-row" [color]="'primary'" name="coc_status"
                                [(ngModel)]="coc_status">
                                <mat-radio-button class="mb-2" [value]="'1'">
                                    พบผู้ป่วย
                                </mat-radio-button>
                                <mat-radio-button class="mb-2" [value]="'2'">
                                    ไม่พบผู้ป่วย
                                </mat-radio-button>
                                <mat-radio-button [value]="'3'">
                                    ผู้ป่วยเสียชีวิต
                                </mat-radio-button>
                            </mat-radio-group>

                        </div>
                        <div class="flex flex-row pl-6 w-full">
                            <span class="font-semibold text-lg mb-2 mt-2">การใช้ยาประจํา</span>
                            <mat-radio-group class="flex flex-row" [color]="'primary'" name="med_use"
                                [(ngModel)]="med_use">
                                <mat-radio-button class="mb-2" [value]="'0'">
                                    ไม่มีปัญหา
                                </mat-radio-button>
                                <mat-radio-button class="mb-2" [value]="'1'">
                                    มีปัญหา
                                </mat-radio-button>
                                <mat-form-field class="-mt-2  ml-2 min-w-64 w-auto fuse-mat-dense">
                                    <input matInput [placeholder]="'ระบุ'" name="med_use_problem"
                                        [(ngModel)]="med_use_problem">
                                </mat-form-field>
                            </mat-radio-group>
                        </div>

                        <div class="flex flex-row pl-6 w-full">
                            <span class="font-semibold mb-2 mt-2">การใช้ยา/อาหารเสริม/สมุนไพร</span>
                            <mat-radio-group class="flex flex-row" [color]="'primary'" name="self_use"
                                [(ngModel)]="self_use_list">
                                <mat-radio-button class="mb-2" [value]="'0'">
                                    ไม่มี
                                </mat-radio-button>
                                <mat-radio-button class="mb-2" [value]="'1'">
                                    กัญชา
                                </mat-radio-button>
                                <mat-radio-button class="mb-2" [value]="'9'">
                                    มีใช้ยาอื่นๆที่หาซื้อเอง
                                </mat-radio-button>
                                <mat-form-field class="-mt-2  ml-2 min-w-64 w-auto fuse-mat-dense">
                                    <input matInput [placeholder]="'ระบุ'" name="self_use_list" [(ngModel)]="self_use">
                                </mat-form-field>
                            </mat-radio-group>
                        </div>

                        <div class="flex flex-row pl-6 w-full">
                            <span class="font-semibold text-lg mb-2 mt-2">การใช้สารเสพติด</span>
                            <mat-radio-group class="flex flex-row" [color]="'primary'" name="durgs_use"
                                [(ngModel)]="durgs_use">
                                <mat-radio-button class="mb-2" [value]="'0'">
                                    ไม่มี
                                </mat-radio-button>
                                <mat-radio-button class="mb-2" [value]="'1'">
                                    บุหรี่
                                </mat-radio-button>
                                <mat-radio-button class="mb-2" [value]="'2'">
                                    สุรา
                                </mat-radio-button>
                                <mat-radio-button class="mb-2" [value]="'9'">
                                    อื่นๆ
                                </mat-radio-button>
                                <mat-form-field class="-mt-2  ml-2 min-w-64 w-auto fuse-mat-dense">
                                    <input matInput [placeholder]="'ระบุ'" name="drugs_use_other"
                                        [(ngModel)]="drugs_use_other">
                                </mat-form-field>
                            </mat-radio-group>
                        </div>
                        <div class="flex pl-6 mb-2">
                        <p class="m-2 font-bold w-fit"> 2q </p>
                        </div>
                        <div class="flex pl-6 w-140">
                            <mat-form-field class="flex-auto fuse-mat-dense">
                                <mat-label><span class="font-semibold text-lg">ปัญหาหรือข้อมูลเพิ่มเติม</span>
                                </mat-label>
                                <textarea matInput [placeholder]="'ปัญหาหรือข้อมูลเพิ่มเติม'" [rows]="3"
                                    name="extra_detail" [(ngModel)]="extra_detail"></textarea>
                            </mat-form-field>
                        </div>
                    </div>
                </div>
            </div>
        <!-- </mat-drawer-content>
    </mat-drawer-container> -->
</div>